<template>
  <div id="teacher_class_grading_wrapper" class="bt-container">
    <div
      v-if="!loading">
      <i class="el-icon-loading" style="font-size: 50px;"></i>
    </div>
    <div
      v-if="loading">
      <el-breadcrumb style="font-size: 24px; margin-top: 16px; margin-bottom: 32px;" separator=">">
        <el-breadcrumb-item :to="{ path: '/a/teacher/NNclass/'+classId }">{{ class_name }}</el-breadcrumb-item>
        <el-breadcrumb-item>{{ $t('GRADE.FINAL_SCORE') }}</el-breadcrumb-item>
      </el-breadcrumb>
      <el-tree
        :data="data"
        show-checkbox
        node-key="id"
        :props="defaultProps">
      </el-tree>

      <el-button
      type="primary">
      성적표 출력
      </el-button>
    </div>
  </div>
</template>

<style lang="scss" scoped>
  #teacher_class_grading_wrapper {
    .one-lecture-wrapper {
      margin-bottom: 40px;
    }
    .align-right {
      text-align: right;
    }
  }
</style>


<script>
import classService from '../../services/classService';
import lectureItemService from '../../services/lectureItemService';
import utils from '../../utils';

export default {
  name: 'TeacherClassGrading',
  data() {
    return {
      loading: false,
      data: [{
        id: 1,
        label: 'Level one 1',
        children: [{
          id: 4,
          label: 'Level two 1-1',
          children: [{
            id: 9,
            label: 'Level three 1-1-1',
          }, {
            id: 10,
            label: 'Level three 1-1-2',
          }],
        }],
      }],
      defaultProps: {
        children: 'children',
        label: 'label',
      },
    };
  },
  async created() {
    const vm = this;

    // 로딩 아이콘 없애고 화면 표시
    vm.loading = true;
  },
  methods: {
  },
  computed: {
    classId() {
      const vm = this;
      return Number.parseInt(vm.$route.params.classId, 10);
    },
  },
};
</script>
